# Interface CoordSpec.Reader

Enclosing class:
  `CoordSpec`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface CoordSpec.Reader
Reads a data value object.

Since:
  6 Jan 2020
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Object`
`readValue(long irow)`
Returns a particular value given this reader's current state.

## Method Details

### readValue

Object readValue(long irow) throws IOException
Returns a particular value given this reader's current state. Note that the supplied row index is additional information (for instance may be relevant to JEL expression evaluation) and it does not determine the row from which the value is supplied.

Parameters:
  `irow` - row index
Returns:
  coordinate stored value
Throws:
  `IOException`